package com.persagy.dmp.rwd.constants;
/***
 * Description: 通用常量类
 * @author : lijie
 * @date :2021/4/27 17:13
 * Update By lijie 2021/4/27 17:13
 */
public class CommonConstant {
    /**uploadFlag,响应头的key:1-成功,0-失败*/
    //public static final String UPLOAD_FLAG = "uploadFlag";
    public static final String UPLOAD_FLAG = "successFlag";
    /**Excel文件的文件后缀*/
    public static final String EXCEL_SUFFIX = "xlsx";
    /**响应头:Access-Control-Expose-Headers*/
    public static final String REPONSE_HEAD_ACCESS_CONTROL_EXPOSE_HEADERS = "Access-Control-Expose-Headers";
    /**响应头:Content-disposition*/
    public static final String REPONSE_HEAD_CONTENT_DISPOSITION = "Content-disposition";
    /**响应头:Content-Type*/
    public static final String REPONSE_HEAD_CONTENT_TYPE = "Content-Type";
    /**响应头:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet*/
    public static final String REPONSE_HEAD_CONTENT_TYPE_SHEET = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet";
    /**响应头:attachment;filename=*/
    public static final String REPONSE_HEAD_CONTENT_DISPOSITION_ATTACHMENT = "attachment;filename=";
    /**系统类型-windows*/
    public static final String SYSTEM_TYPE_WINDOWS = "windows";
    /**系统类型-linux/unix*/
    public static final String SYSTEM_TYPE_LINUX = "linux/unix";
    /**系统类型-mac*/
    public static final String SYSTEM_TYPE_MAC = "mac";
    /**自定义请求头-os-type*/
    public static final String OS_TYPE = "os-type";
    /**手机号的正则表达式*/
    public static final String PHONE_NUM_REGEX = "^$|^[0-9-]{11,13}$";
    /**邮箱的正则表达式*/
    public static final String MAIL_REGEX = "^.+@.+(\\..+)+$";
    /**内容仅包含的正则表达式*/
    public static final String CONTENT_ILLEGAL_REGEX = "^[0-9A-Za-z]{1,}$";
    /**内容长度为20的限制*/
    public static final String CONTENT_LENGTH_20_REGEX = "^$|^.{0,20}$";
    /**内容长度为50的限制*/
    public static final String CONTENT_LENGTH_50_REGEX = "^$|^.{0,50}$";
    /**内容长度为50的限制*/
    public static final String CONTENT_CHINA_AND_ENGLISH_REGEX = "^[a-zA-Z\u4e00-\u9fa5]{1,20}$";
    /**生日的正则表达式*/
    public static final String BIRTHDAY_REGEX = "^(?:(?!0000)[0-9]{4}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1[0-9]|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[0-9]{2}(?:0[48]|[2468][048]|[13579][26])|(?:0[48]|[2468][048]|[13579][26])00)-02-29)$";
    /**成功标记,1-成功*/
    public static final String SUCCESS_FLAG_ONE="1";
    /**成功标记,0-失败*/
    public static final String SUCCESS_FLAG_ZERO="0";
    /**账号id*/
    public static final String USER_ID="userId";
    /**文件名称*/
    public static final String DTO_FILE="file";
    /**批量导入物理世界对象错误提示文件名称*/
    public static final String UPLOAD_PERSON_ERR_FILE_NAME="批量导入物理世界对象错误提示文件.txt";

}
